public class Auto3Applikation
{
	public static void main(String[]args)
	{
		System.out.println("getMaxBreiteNachStVOinMM: "+
			Auto3.getMaxBreiteNachStVOinMM());
		
		Auto3 erstesAuto=new Auto3();
		System.out.println("Anzahl Gänge von erstesAuto: "+
			erstesAuto.getAnzahlGänge());
		System.out.println("eingelegter Gang von erstesAuto: "+
			erstesAuto.getEingelegterGang());
		System.out.println("Kennzeichen von erstesAuto: "+
			erstesAuto.getKennzeichen());
		erstesAuto.setKennzeichen("HH-A-1234");
		System.out.println("Kennzeichen von erstesAuto: "+
			erstesAuto.getKennzeichen());
		erstesAuto.setEingelegterGang(3);
		System.out.println("eingelegter Gang von erstesAuto: "+
			erstesAuto.getEingelegterGang());
		
		
		Auto3 zweitesAuto=new Auto3("H-A-1234",6);
		System.out.println("Anzahl Gänge von zweitesAuto: "+
			zweitesAuto.getAnzahlGänge());
		System.out.println("eingelegter Gang von zweitesAuto: "+
			zweitesAuto.getEingelegterGang());
		System.out.println("Kennzeichen von zweitesAuto: "+
			zweitesAuto.getKennzeichen());
			
		//Testfälle für setEingelegterGang
		zweitesAuto.setEingelegterGang(4711);
		System.out.println("eingelegter Gang von zweitesAuto (4711): "+
			zweitesAuto.getEingelegterGang());
		zweitesAuto.setEingelegterGang(6);
		System.out.println("eingelegter Gang von zweitesAuto (6): "+
			zweitesAuto.getEingelegterGang());
		zweitesAuto.setEingelegterGang(7);
		System.out.println("eingelegter Gang von zweitesAuto (7): "+
			zweitesAuto.getEingelegterGang());
		zweitesAuto.setEingelegterGang(-1);
		System.out.println("eingelegter Gang von zweitesAuto (-1): "+
			zweitesAuto.getEingelegterGang());
		zweitesAuto.setEingelegterGang(0);
		System.out.println("eingelegter Gang von zweitesAuto (0): "+
			zweitesAuto.getEingelegterGang());
			
		System.out.println("getMaxBreiteNachStVOinMM: "+
			zweitesAuto.getMaxBreiteNachStVOinMM());
	}
}